macro(append_subdir_files src_var tgt_var dirname)
get_directory_property(holder DIRECTORY ${dirname} DEFINITION ${src_var})
foreach(depfile ${holder})
   list(APPEND ${tgt_var} "${dirname}/${depfile}")
endforeach()
endmacro()

macro(process_subdir dirname)
    add_subdirectory(${dirname})
    append_subdir_files(SLOFILES ALL_SLO ${dirname})
    append_subdir_files(EXCEPTIONSFILES ALL_EXC ${dirname})
endmacro()

macro(mkdir dirname)
    execute_process(COMMAND mkdir ${dirname})
endmacro()

# Every exe and lib is tagged with one of these. Eventually install
# commands and such are added to them.
macro(public_library_hook libname)
endmacro()

macro(internal_library_hook libname)
endmacro()

macro(public_executable_hook libname)
endmacro()

macro(internal_executable_hook libname)
endmacro()


# Do not check for dependencies in precompiled header dirs.
include_regular_expression("^([^p]|p[^r]|pr[^e]|pre[^c]|prec[^o]|preco[^m]|precom[^p])")
